import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'AlarmIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-alarm",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M10 17a6 6 0 100-12 6 6 0 000 12zm0 1a7 7 0 100-14 7 7 0 000 14z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M10 6.5a.5.5 0 01.5.5v4a.5.5 0 01-.053.224l-1.5 3a.5.5 0 11-.894-.448L9.5 10.882V7a.5.5 0 01.5-.5z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("path", {
      attrs: {
        d: "M2.86 7.387A2.5 2.5 0 116.387 3.86 8.035 8.035 0 002.86 7.387zM13.613 3.86a2.5 2.5 0 113.527 3.527 8.035 8.035 0 00-3.527-3.527z"
      }
    }), "  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M13.646 16.146a.5.5 0 01.708 0l1 1a.5.5 0 01-.708.708l-1-1a.5.5 0 010-.708zm-7.292 0a.5.5 0 00-.708 0l-1 1a.5.5 0 00.708.708l1-1a.5.5 0 000-.708zM7.5 2.5A.5.5 0 018 2h4a.5.5 0 010 1H8a.5.5 0 01-.5-.5z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("path", {
      attrs: {
        d: "M9 3h2v2H9V3z"
      }
    })]);
  }
});