import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'BrightnessFillLowIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-brightness-fill-low",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("circle", {
      attrs: {
        cx: "10",
        cy: "10",
        r: "4"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "10",
        cy: "4.5",
        r: ".5"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "10",
        cy: "15.5",
        r: ".5"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "15.5",
        cy: "10",
        r: ".5",
        transform: "rotate(90 15.5 10)"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "4.5",
        cy: "10",
        r: ".5",
        transform: "rotate(90 4.5 10)"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "13.889",
        cy: "6.111",
        r: ".5",
        transform: "rotate(45 13.89 6.11)"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "6.111",
        cy: "13.889",
        r: ".5",
        transform: "rotate(45 6.11 13.89)"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "13.889",
        cy: "13.889",
        r: ".5",
        transform: "rotate(135 13.89 13.89)"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "6.111",
        cy: "6.111",
        r: ".5",
        transform: "rotate(135 6.11 6.11)"
      }
    })]);
  }
});