import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'InfoSquareIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-info-square",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M16 3H4a1 1 0 00-1 1v12a1 1 0 001 1h12a1 1 0 001-1V4a1 1 0 00-1-1zM4 2a2 2 0 00-2 2v12a2 2 0 002 2h12a2 2 0 002-2V4a2 2 0 00-2-2H4z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("path", {
      attrs: {
        d: "M10.93 8.588l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533l1.002-4.705z"
      }
    }), "  ", h("circle", {
      attrs: {
        cx: "10",
        cy: "6.5",
        r: "1"
      }
    })]);
  }
});