import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'PhoneLandscapeIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-phone-landscape",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M3.5 6.5v6a1 1 0 001 1h11a1 1 0 001-1v-6a1 1 0 00-1-1h-11a1 1 0 00-1 1zm-1 6a2 2 0 002 2h11a2 2 0 002-2v-6a2 2 0 00-2-2h-11a2 2 0 00-2 2v6z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M15.5 9.5a1 1 0 10-2 0 1 1 0 002 0z",
        "clip-rule": "evenodd"
      }
    })]);
  }
});