import _mergeJSXProps from "babel-helper-vue-jsx-merge-props";
import Vue from 'vue';
export default Vue.extend({
  name: 'PowerIcon',
  props: {
    size: {
      type: [String, Number],
      default: 24
    }
  },
  functional: true,
  render: function render(h, ctx) {
    var size = "".concat(ctx.props.size, "px");
    var attrs = ctx.data.attrs || {};
    attrs.width = attrs.width || size;
    attrs.height = attrs.height || size;
    ctx.data.attrs = attrs; // @ts-ignore

    return h("svg", _mergeJSXProps([{
      "class": "bi bi-power",
      attrs: {
        width: "1em",
        height: "1em",
        viewBox: "0 0 20 20",
        fill: "currentColor",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, ctx.data]), ["  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M7.578 6.437a5 5 0 104.922.044l.5-.865a6 6 0 11-5.908-.053l.486.874z",
        "clip-rule": "evenodd"
      }
    }), "  ", h("path", {
      attrs: {
        "fill-rule": "evenodd",
        d: "M9.5 10V3h1v7h-1z",
        "clip-rule": "evenodd"
      }
    })]);
  }
});